const {Schema,model,ObjectId}= require("mongoose")

const Project = new Schema({
    id:{type: ObjectId},
    title:{type: String , require:true},
    codeHTML:{type: String, require: true },
    codeCSS:{type: String, require: true },
    codeJS:{type: String, require: true },
    user:{type: ObjectId,ref:'User'},
    email: {type: String, require: true ,},
})

module.exports = model('Project',Project)